Skip to main content
PATCH
/
ai-agents
/
agent-builder
/
agents
/
{uid}
/
frontend-actions
/
remove
Remove Frontend Actions from Agent
curl --request PATCH \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/frontend-actions/remove \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "frontendActions": [
    "openProduct_modal",
    "showNotification"
  ]
}
'
{
  "success": true,
  "data": {
    "uid": "agent-uuid-1234",
    "appId": "my-app-id",
    "name": "Support Agent",
    "icon": "https://example.com/icon.png",
    "isActive": true,
    "description": "A helpful support agent",
    "tools": [
      "gmail",
      "slack"
    ],
    "files": [],
    "websites": [],
    "otherKbIntegrations": [],
    "apiTools": [],
    "mcpServers": [],
    "frontendActions": [],
    "ragVersion": "v2",
    "lastMessageAt": null,
    "instruction": "You are a helpful assistant",
    "formattedInstruction": "You are a helpful assistant",
    "metaData": {},
    "model": "gpt-4o-mini",
    "modelMetaData": {},
    "createdAt": 1700000000000,
    "updatedAt": 1700000000000
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

uid
string
required

Unique identifier of the agent

Body

application/json
frontendActions
string[]
required

Array of frontend action function names to add or remove

Example:
["openProduct_modal", "showNotification"]

Response

200 - application/json

Frontend actions successfully removed from the agent.

success
boolean
Example:

true

data
object